aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher (jlec) <jlec@j-schmitz.net>2009-11-21 18:36:30 +0100
committerJustin Lecher (jlec) <jlec@j-schmitz.net>2009-11-21 22:14:59 +0100
commitd8ef3e183e14266f6a1bb43b354930a3adfc813a (patch)
treecde55ecacb76f69bbfff8fafce0d54dfc3eae30a /x11-libs
parentmedia-libs/emfengine missing dep added (diff)
downloadsci-d8ef3e183e14266f6a1bb43b354930a3adfc813a.tar.gz
sci-d8ef3e183e14266f6a1bb43b354930a3adfc813a.tar.bz2
sci-d8ef3e183e14266f6a1bb43b354930a3adfc813a.zip
x11-libs/gl2ps imported from tree
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/gl2ps/ChangeLog10
-rw-r--r--x11-libs/gl2ps/Manifest14
-rw-r--r--x11-libs/gl2ps/gl2ps-1.3.5.ebuild37
-rw-r--r--x11-libs/gl2ps/metadata.xml14
4 files changed, 75 insertions, 0 deletions
diff --git a/x11-libs/gl2ps/ChangeLog b/x11-libs/gl2ps/ChangeLog
new file mode 100644
index 000000000..130e12201
--- /dev/null
+++ b/x11-libs/gl2ps/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for x11-libs/gl2ps
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/gl2ps/ChangeLog,v 1.1 2009/04/07 18:41:50 bicatali Exp $
+
+*gl2ps-1.3.3 (07 Apr 2009)
+
+ 07 Apr 2009; S├ębastien Fabbro <bicatali@gentoo.org> +metadata.xml,
+ +gl2ps-1.3.3.ebuild:
+ Initial import
+
diff --git a/x11-libs/gl2ps/Manifest b/x11-libs/gl2ps/Manifest
new file mode 100644
index 000000000..e4fc3b4e6
--- /dev/null
+++ b/x11-libs/gl2ps/Manifest
@@ -0,0 +1,14 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+DIST gl2ps-1.3.3.tgz 197929 RMD160 cebce2bba693541fcb8cedbf083bc85786884e0d SHA1 ec952fd3d7205bdbffe7854be607213c7dcb4aaf SHA256 d4913141508b070aa261b93bb0785627f4956a3d63c4f8418f60267d9fe7ba09
+EBUILD gl2ps-1.3.3.ebuild 1003 RMD160 dd4c47033b8f7504ae498f57503e397a92e785ab SHA1 f5155464624938a0648ed8698bef9690deb5e88b SHA256 97c2f28669367cef80f2c2ce932868f3050dec8344012d0a06b4ae3e8db3d998
+MISC ChangeLog 342 RMD160 be87108d46e79b2db994935cfc5411ae4083a762 SHA1 3dbc3728b3de119545a4e44b64397be201812d16 SHA256 bbf9b4fa368e4d541c2dbebe2d180793457d2185a490e36243f8c85193c1a476
+MISC metadata.xml 623 RMD160 3009127c2064b068ec7ac0e024dea6e3f415126e SHA1 ebdc623441bec64dbefcc590c56069d5c4de5643 SHA256 48657d240db2cb13495a31f2b7c7b598143c30d3b6c8bcbf17f4086a324de1f5
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.11 (GNU/Linux)
+
+iEYEARECAAYFAknbnpkACgkQ1ycZbhPLE2AGyACfcCwQZMbeLjKuosIueoX1P2mu
+AYMAn2W9LMoLhqNnoMrTyaNd8E1YCuKd
+=h6Uv
+-----END PGP SIGNATURE-----
diff --git a/x11-libs/gl2ps/gl2ps-1.3.5.ebuild b/x11-libs/gl2ps/gl2ps-1.3.5.ebuild
new file mode 100644
index 000000000..7e0e71a62
--- /dev/null
+++ b/x11-libs/gl2ps/gl2ps-1.3.5.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/gl2ps/gl2ps-1.3.3.ebuild,v 1.1 2009/04/07 18:41:50 bicatali Exp $
+
+EAPI=2
+inherit eutils toolchain-funcs
+
+DESCRIPTION="OpenGL to PostScript printing library"
+HOMEPAGE="http://www.geuz.org/gl2ps/"
+SRC_URI="http://geuz.org/${PN}/src/${P}.tgz"
+LICENSE="LGPL-2"
+SLOT="0"
+IUSE="doc"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="virtual/glut"
+DEPEND="${RDEPEND}"
+
+src_compile() {
+ $(tc-getCC) ${CFLAGS} -fPIC -c gl2ps.c -o gl2ps.o \
+ || die "compiling gl2ps failed"
+ $(tc-getCC) -shared ${LDFLAGS} -Wl,-soname,libgl2ps.so.1 \
+ gl2ps.o -o libgl2ps.so.1 -lm -lGL -lGLU -lglut \
+ || die "linking libgl2ps failed"
+}
+
+src_install () {
+ dolib.so libgl2ps.so.1 || die
+ dosym libgl2ps.so.1 /usr/$(get_libdir)/libgl2ps.so
+ insinto /usr/include
+ doins gl2ps.h || die
+ dodoc TODO
+ insinto /usr/share/doc/${PF}
+ if use doc; then
+ doins gl2psTest* *.pdf || die
+ fi
+}
diff --git a/x11-libs/gl2ps/metadata.xml b/x11-libs/gl2ps/metadata.xml
new file mode 100644
index 000000000..a9170dc7a
--- /dev/null
+++ b/x11-libs/gl2ps/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ GL2PS is a C library providing high quality vector output for any
+ OpenGL application. The main difference between GL2PS and other
+ similar libraries is the use of sorting algorithms
+ capable of handling intersecting and stretched polygons, as well as
+ non manifold objects. GL2PS provides advanced smooth shading and
+ text rendering, culling of invisible primitives, mixed vector/bitmap
+ output, and much more.
+</longdescription>
+</pkgmetadata>